Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.streaming
Class GZIPSheetDataWriter

    java.lang.Object
      org.apache.poi.xssf.streaming.SheetDataWriter
          org.apache.poi.xssf.streaming.GZIPSheetDataWriter

    public class GZIPSheetDataWriter

extends SheetDataWriter

Sheet writer that supports gzip compression of the temp files.

Constructor Summary
`GZIPSheetDataWriter()`

Method Summary
`java.io.File` | `createTempFile()` Create a temp file to write sheet data.
`java.io.Writer` | `createWriter(java.io.File fd)` Create a writer for the sheet data.
`java.io.InputStream` | `getWorksheetXMLInputStream()`

Methods inherited from class org.apache.poi.xssf.streaming.SheetDataWriter
`close, getLowestIndexOfFlushedRows, getNumberOfCellsOfLastFlushedRow, getNumberOfFlushedRows, writeCell, writeRow`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GZIPSheetDataWriter

    public GZIPSheetDataWriter()
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### createTempFile

    public java.io.File createTempFile()
                                throws java.io.IOException

  Description copied from class: `SheetDataWriter`
  Create a temp file to write sheet data. By default, temp files are created in the default temporary-file directory with a prefix "poi-sxssf-sheet" and suffix ".xml". Subclasses can override it and specify a different temp directory or filename or suffix, e.g. `.gz`

  Overrides:
    `createTempFile` in class `SheetDataWriter`
  Returns:
    temp file to write sheet data
  Throws:
    `java.io.IOException`

### createWriter

    public java.io.Writer createWriter(java.io.File fd)
                                throws java.io.IOException

  Description copied from class: `SheetDataWriter`
  Create a writer for the sheet data.

  Overrides:
    `createWriter` in class `SheetDataWriter`
  Parameters:
    `fd` - the file to write to
  Returns:
    a wrapped instance of GZIPOutputStream
  Throws:
    `java.io.IOException`

### getWorksheetXMLInputStream

    public java.io.InputStream getWorksheetXMLInputStream()
                                                   throws java.io.IOException

  Overrides:
    `getWorksheetXMLInputStream` in class `SheetDataWriter`
  Returns:
    a GZIPInputStream stream to read the compressed temp file
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD